// 完毕：
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Pdf.Security;

namespace DsPdfWeb.Demos
{
    // 此示例展示了如何对 PDF 设置限制，
    // 例如限制打印或复制内容的能力
    // 从文档中。
    // 另请参阅 DocumentPermissions 示例，其中显示
    // 如何检查加载的 PDF 中的限制。
    public class DocumentRestrictions
    {
        public int CreatePDF(Stream stream)
        {
            // 创建一个新的 PDF 文档：
            var doc = new GcPdfDocument();
            Common.Util.AddNote("本文档有以下限制：" +
                "  ", doc.NewPage());

            // 创建 Rev4 安全处理程序并指定一些限制：
            var ssh4 = new StandardSecurityHandlerRev4()
            {
                // EncryptionAlgorithm = EncryptionAlgorithm.AES,
                // EncryptStrings = true,
                PrintingPermissions = PrintingPermissions.Disabled,
                CopyContent = false,
                EditingPermissions = EditingPermissions.Disabled
            };

            // 将我们创建的处理程序分配给文档，以便在保存 PDF 时使用它：
            doc.Security.EncryptHandler = ssh4;

            // 完毕：
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
